function sj=gets(par)

global XF XR NF NR ND NJ 
global XRTYPE draws

parF=par(1:NF);
parB=par(NF+1:NF+NR); % the 1st part of parR is mean (beta) 
parW=par(NF+NR+1:NF+NR*2); % the 2nd part of parR is std-dev (sigma)
% process 
r=repmat(parB,[1,ND])+draws.*repmat(parW,[1,ND]);% normal-dist betas (1)
r(XRTYPE(:,1)==2,:)=exp(r(XRTYPE(:,1)==2,:)); % for lognormal terms (2)
%
vF=repmat(XF*parF,[1,ND]);
vR=sum(repmat(XR,[1,1,ND]).*repmat(reshape(r,[1,NR,ND]),[NJ,1,1]),2);
v=vF+permute(vR,[1,3,2]);
ev=exp(v); clear vF vR v c; % size(NJ,1,ND)
ev(isinf(ev))=1e20;  %As precaution when exp(v) is too large for machine
sumev=sum(ev,1); % size(1,1,ND)
sjd=ev./repmat(sumev,[NJ,1]); % logit probability
% sumev+ev0 & ev0=1 for outside good
sj=mean(sjd,2); % mixed logit simulation shares of choices
