function CAFEk=getCAFE(PX)
% mm: a matrix with size(K,J)
%     its element is the index for large=1 or small=2 car

global K J aF 
% P=PX(:,:,1); % unit in 10000 dollars
XE=PX(:,:,2);  % Engine scaling variable
XT=PX(:,:,3);  % fuel-saving Technology variable
% dimension of P & X becomes (k,j)

MPG=zeros(K,J);
GPM=zeros(K,J);
for k=1:K,
    for j=1:J
        GPM(k,j)=1./(aF(3).*XE(k,j).^2+aF(2).*XE(k,j)+aF(1))*(1-XT(k,j));
        MPG(k,j)= 1./GPM(k,j);
    end
end

[PI,s]=getPIs(PX);

CAFEk=sum(s,2)./sum(s./MPG,2); % CAFE harmonic average